merchant

Merchant backend to process payments, run by merchants
Log | Files | Refs | Submodules | README | LICENSE

commit 8a2cbd38fe06805bced6035718e3d6842c04989e
parent b4159fe9d4faa6b9fd8398325774f577f644154f
Author: Florian Dold <florian@dold.me>
Date:   Wed, 25 Feb 2026 15:46:52 +0100

do not fail precommit hook when bootstrap+configure hasn't been done

Diffstat:
Mcontrib/uncrustify_precommit | 4++--
1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/uncrustify_precommit b/contrib/uncrustify_precommit @@ -44,7 +44,7 @@ if (which codespell > /dev/null) then export REPORT=$(mktemp /tmp/codespellXXXXXX) ( set -o pipefail; - echo "Checking for spelling errors with codespell..." + echo "Checking for spelling errors with codespell..."; contrib/ci/jobs/0-codespell/job.sh src 2> ${REPORT}; ) || { echo "Please fix the code spell errors in ${REPORT} first"; exit 2; } else @@ -54,7 +54,7 @@ fi # Make sure doxygen is happy with our annotations -if (which doxygen > /dev/null) +if (which doxygen > /dev/null) && [[ -e doc/doxygen/Makefile ]]; then export REPORT=$(mktemp /tmp/doxygenXXXXXX) [ -f doc/doxygen/Makefile ] && \